-- Zadatak 1
-- Prebacimo se na bazu LosFilm nastalu iz skripte RVS-UUBP-LosFilm_Baza.sql
USE LosFilm;

-----------------------------------------------------------------
-- a zadatak
-- Ubacite u tablicu Clan dva nova člana:  Ivana Skerlecza iz Vrbovca i Petra Berislavića iz Trogira.
-- prvo pokupimo ID-eve mjesta za Vrbovec i pogledamo koji je zadnji ID za člana
SELECT * FROM Mjesto WHERE Naselje LIKE 'Vrbovec';
SELECT TOP 1 ID FROM Clan ORDER BY ID DESC;
-- pogledajmo tablicu članova prije ubacivanja
SELECT * FROM Clan;
-- napravimo ubacivanje
INSERT INTO Clan (ID,ImePrezime,MjestoID) VALUES (8,'Ivan Skerletza',8);
-- pogledajmo tablicu članova nakon ubacivanja
SELECT * FROM Clan;
-- zatim pokupimo ID-eve mjesta za Trogir
SELECT * FROM Mjesto WHERE Naselje LIKE 'Trogir';
-- ustanoviti ćemo da nema Trogira pa ga ubacujemo
INSERT INTO Mjesto VALUES (21220,'Trogir','Trogir','Splitsko-Dalmatinska')
-- zatim pokupimo ID-eve mjesta za Trogir
SELECT * FROM Mjesto WHERE Naselje LIKE 'Trogir';
-- zatim pogledamo koji je zadnji ID za člana
SELECT TOP 1 ID FROM Clan ORDER BY ID DESC;
-- pogledajmo tablicu članova prije ubacivanja
SELECT * FROM Clan;
-- napravimo ubacivanje
INSERT INTO Clan (ID,ImePrezime,MjestoID) VALUES (9,'Petar Berislavić',451)
-- pogledajmo tablicu članova nakon ubacivanja
SELECT * FROM Clan;
-----------------------------------------------------------------

-----------------------------------------------------------------
-- b zadatak 
-- Ubacite u tablicu Film dva filma koja dolaze na Blu-ray disku: “Blade runner” i “Prohujalo s vihorom”. 
-- Ostale podatke koje trreba ubaciti potražite na internetu.
-- pogledajmo tablicu medija prije ubacivanja da provjerimo da li imamo Blu-ray kao medij
SELECT * FROM Medij;
-- pogledamo koji je zadnji ID za medij
SELECT TOP 1 ID FROM Medij ORDER BY ID DESC;
-- napravimo ubacivanje
INSERT INTO Medij VALUES (5,'Blue Ray');
-- pogledajmo tablicu medija nakon ubacivanja
SELECT * FROM Medij;
-- Zatim pogledajmo tablice filmova i žanrova prije ubacivanja podataka
SELECT * FROM Film ORDER BY ID;
SELECT * FROM Zanr ORDER BY ID;
-- ubacimo filmove sa IMDB-a: “Blade runner” i “Prohujalo s vihorom”
INSERT INTO Film (ID,MedijID,Naziv,Trajanje,ZanrID) VALUES (10,5,'Bladerunner',125,3);
INSERT INTO Film (ID,MedijID,Naziv,Trajanje,ZanrID) VALUES (11,5,'Prohujalo s vihorom',154,6);
-- Zatim pogledajmo tablice filmova poslije ubacivanja podataka
SELECT * FROM Film ORDER BY ID;
-----------------------------------------------------------------

-----------------------------------------------------------------
-- c zadatak
-- Filmu “The matrix reloaded” dodajte:
--   - još jednog glavnog glumca: Monica Bellucci, 
--   - još jednog sporednog glumca: Valerie Berry, 
--   - žanr promijenite u“Triler”, 
--   - promijenite opis na hrvatski. 
-- Sve je potrebno napraviti jednim upitom.
-- Zatim pogledajmo tablice filmova i žanrova prije promjene podataka
SELECT * FROM Film ORDER BY ID;
SELECT * FROM Zanr ORDER BY ID;
SELECT * FROM Film WHERE ID = 1;
-- odjednom mjenjamo podatke dodavanjem na već postojeći sadržaj u poljima i promjenom žanra
UPDATE Film
	SET GlavniGlumci = GlavniGlumci + ', Monica Belluci',
		SporedniGlumci = SporedniGlumci + ', Valerie Berry',
		ZanrID = 3
	WHERE ID = 1;
-- Zatim pogledajmo tablicu filmova poslije promjene podataka
SELECT * FROM Film WHERE ID = 1;
-----------------------------------------------------------------

-----------------------------------------------------------------
-- d zadatak
-- Dodajte nove posudbe: 
-----------------------------------------------
-- Posudba 1:
-- Skerlecz je posudio Matrix Reloaded  16.04.1914. i vratio ga tri dana kasnije te za to platio zakasninu od 15kn. 
-- Prilikom vraćanja je posudio treći nastavak i vratio ga za 2 dana.
-- Pronađimo koji je član Skerlecz
SELECT * FROM Clan WHERE ImePrezime LIKE '%Skerlet%';
-- Pronađimo koji je film Matrix Reloaded
SELECT * FROM Film WHERE Naziv LIKE '%Matrix Reloaded%';
-- Pogledajmo tablicu posudbi prije promjene podataka	
SELECT * FROM Posudba;
-- ubacimo podatke za Matrix Reloaded sa posudbom 16.04.1914. i vraćanjem tri dana kasnije
INSERT INTO Posudba VALUES (1,8,'1914-04-16','1914-04-19');
-- Pogledajmo tablicu posudbi nakon promjene podataka	
SELECT * FROM Posudba;
-- Pronađimo koji je film treći nastavak Matrix-a
SELECT * FROM Film WHERE Naziv LIKE '%Matrix%';
-- ubacimo podatke za The Matrix Revolutions sa posudbom 19.04.1914. i vraćanjem 2 dana kasnije
INSERT INTO Posudba VALUES (4,8,'1914-04-19','1914-04-21');
-- Pogledajmo tablicu posudbi nakon promjene podataka	
SELECT * FROM Posudba;
-- Riješimo i zakasninu od 15kn za Matrix Reloaded posuđen 16.04.1914. i vraćen tri dana kasnije
-- Pogledajmo tablicu zakasnina prije promjene podataka	
SELECT * FROM Zakasnina;
-- ubacimo zakasninu
INSERT INTO Zakasnina VALUES (8,1,'1914-04-19',15.00);
-- Pogledajmo tablicu zakasnina nakon promjene podataka	
SELECT * FROM Zakasnina;
-----------------------------------------------
-- Posudba 2:
-- Petar Berislavić je posudio Prohujalo s vihorom 20.05.1799. i vratio za 10 dana pri tome plativši 16kn zakasnine.
-- Pronađimo koji je član Petar Berislavić
SELECT * FROM Clan WHERE ImePrezime LIKE '%Petar Berislavić%';
-- Pronađimo koji je film Prohujalo s vihorom
SELECT * FROM Film WHERE Naziv LIKE '%Prohujalo s vihorom%';
-- Pogledajmo tablicu posudbi prije promjene podataka	
SELECT * FROM Posudba;
-- ubacimo podatke za Prohujalo s vihorom sa posudbom 20.05.1799. i vraćanjem za 10 dana
INSERT INTO Posudba VALUES (11,9,'1799-05-20','1799-05-30');
-- Pogledajmo tablicu posudbi nakon promjene podataka	
SELECT * FROM Posudba;
-- Riješimo i zakasninu od 16kn za taj film
-- Pogledajmo tablicu zakasnina prije promjene podataka	
SELECT * FROM Zakasnina;
-- ubacimo zakasninu
INSERT INTO Zakasnina VALUES (9,11,'1799-05-30',16.00);
-- Pogledajmo tablicu zakasnina nakon promjene podataka	
SELECT * FROM Zakasnina;
-----------------------------------------------------------------

-----------------------------------------------------------------
-- e zadatak
-- Pero Perić je danas vratio sve posuđene filmove i platio zakasninu od 2kn po danu.
-- Prvo pronađimo člana Pero Perić
SELECT * FROM Clan WHERE ImePrezime LIKE '%Pero Perić%';
-- Pronađimo koje je filmove posudio Pero Perić
SELECT * FROM Posudba WHERE ClanID = 1;
-- Posuđeni su oni filmovi kojima je DatumVracanja NULL - pronađimo te posudbe
SELECT * FROM Posudba WHERE ClanID = 1 AND DatumVracanja IS NULL;
-- dobili smo da je posuđen samo film sa ID-om 1
-- Vratimo te filmove sa današnjim datumom
UPDATE Posudba
SET DatumVracanja = '2011-04-27'
WHERE ClanID = 1 AND DatumVracanja IS NULL;
-- Provjerimo promjenu
SELECT * FROM Posudba WHERE ClanID = 1 AND FilmID = 1;
-- riješimo i zakasninu od 2kn po danu za taj film
-- provjerimo ima li kakve zakasnine po tom članu
SELECT	* FROM Zakasnina WHERE ClanID = 1;
-- ubacimo iznos zakasnine (ovdje je proizvoljno izračunata)
INSERT INTO Zakasnina VALUES (1,1,'2011-04-27',100.55);
-- provjerimo ubacivanje
SELECT	* FROM Zakasnina WHERE ClanID = 1;
-----------------------------------------------------------------

-----------------------------------------------------------------
-- f zadatak
-- Obrišite sve posudbe od Ane Milić
-- pronađimo Anu Milić
SELECT * FROM Clan WHERE ImePrezime LIKE '%Ana Milić%';
-- pronađimo njene posudbe
SELECT * FROM Posudba WHERE ClanID = 2;
-- pobrišimo njene posudbe
DELETE FROM Posudba	WHERE ClanID = 2;
-- provjerimo brisanje - ne bi smjelo biti vraćenih redaka
SELECT * FROM Posudba WHERE ClanID = 2;
-----------------------------------------------------------------
	 
	
